# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceListener

Packages that use IRemoteServiceListener
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IRemoteServiceListener in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteServiceListener
Modifier and Type
Method
Description
`void`
RegistrySharedObject.`addRemoteServiceListener(IRemoteServiceListener listener)`
`void`
RemoteServiceContainer.`addRemoteServiceListener(IRemoteServiceListener listener)`
`void`
RegistrySharedObject.`removeRemoteServiceListener(IRemoteServiceListener listener)`
`void`
RemoteServiceContainer.`removeRemoteServiceListener(IRemoteServiceListener listener)`

## Uses of IRemoteServiceListener in org.eclipse.ecf.remoteservice

Fields in org.eclipse.ecf.remoteservice with type parameters of type IRemoteServiceListener
Modifier and Type
Field
Description
`protected final List<IRemoteServiceListener>`
RemoteServiceContainerAdapterImpl.`listeners`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceListener
Modifier and Type
Method
Description
`void`
IRemoteServiceConsumer.`addRemoteServiceListener(IRemoteServiceListener listener)`
Add listener for remote service registration/unregistration for this container
`void`
IRemoteServiceContainerAdapter.`addRemoteServiceListener(IRemoteServiceListener listener)`
Add listener for remote service registration/unregistration for this container
`void`
IRemoteServiceHost.`addRemoteServiceListener(IRemoteServiceListener listener)`
Add listener for remote service registration/unregistration for this container
`void`
RemoteServiceContainerAdapterImpl.`addRemoteServiceListener(IRemoteServiceListener listener)`
`void`
IRemoteServiceConsumer.`removeRemoteServiceListener(IRemoteServiceListener listener)`
Remove remote service registration/unregistration listener for this container.
`void`
IRemoteServiceContainerAdapter.`removeRemoteServiceListener(IRemoteServiceListener listener)`
Remove remote service registration/unregistration listener for this container.
`void`
IRemoteServiceHost.`removeRemoteServiceListener(IRemoteServiceListener listener)`
Remove remote service registration/unregistration listener for this container.
`void`
RemoteServiceContainerAdapterImpl.`removeRemoteServiceListener(IRemoteServiceListener listener)`

## Uses of IRemoteServiceListener in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteServiceListener
Modifier and Type
Method
Description
`void`
AbstractClientContainer.`addRemoteServiceListener(IRemoteServiceListener listener)`
`void`
AbstractClientContainer.`removeRemoteServiceListener(IRemoteServiceListener listener)`

## Uses of IRemoteServiceListener in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet with parameters of type IRemoteServiceListener
Modifier and Type
Method
Description
`void`
ServletServerContainer.`addRemoteServiceListener(IRemoteServiceListener listener)`
`void`
ServletServerContainer.`removeRemoteServiceListener(IRemoteServiceListener listener)`